SDL_SetEnvironmentVariable(3)

NAME
SDL_SetEnvironmentVariable - Set the value of a variable in the environment.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

bool SDL_SetEnvironmentVariable(SDL_Environment *env, const char *name, const char *value, bool overwrite);

FUNCTION PARAMETERS

env the environment to modify.

name
    the name of the variable to set.

value
    the value of the variable to set.

overwrite
    true to overwrite the variable if it exists, false to return success without setting the variable if it already exists.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetEnvironment(3), SDL_CreateEnvironment(3), SDL_GetEnvironmentVariable(3), SDL_GetEnvironmentVariables(3), SDL_UnsetEnvironmentVariable(3)